<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::settings::storage::test::MockDeviceSettingStorage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html">settings</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1storage.html">storage</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1storage_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html">MockDeviceSettingStorage</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::settings::storage::test::MockDeviceSettingStorage Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_mock_device_setting_storage_8h_source.html">MockDeviceSettingStorage.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::settings::storage::test::MockDeviceSettingStorage:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage_inherit__map" id="alexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html" title="alexaClientSDK::settings\l::storage::DeviceSettingStorage\lInterface" alt="" coords="12,5,222,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::settings::storage::test::MockDeviceSettingStorage:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage_coll__map" id="alexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html" title="alexaClientSDK::settings\l::storage::DeviceSettingStorage\lInterface" alt="" coords="12,5,222,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a350946ef6ca1f9a9ecdf2122eeb50d5b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#a350946ef6ca1f9a9ecdf2122eeb50d5b">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#adf2969e60fa7ca4c79ee04e6d74a4887">open</a>, bool())</td></tr>
<tr class="separator:a350946ef6ca1f9a9ecdf2122eeb50d5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a697b7eda4771a000bca5fe739163a833"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#a697b7eda4771a000bca5fe739163a833">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a1de8f87cc1ac1ef79505b1e6ad0fcfc8">close</a>, void())</td></tr>
<tr class="separator:a697b7eda4771a000bca5fe739163a833"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a690ce02a1e9246eeb69984cf9f0f345a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#a690ce02a1e9246eeb69984cf9f0f345a">MOCK_METHOD3</a> (<a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a776c5d59d7ee41ff1e7a4af2dee57e70">storeSetting</a>, bool(const std::string &amp;key, const std::string &amp;value, <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a> status))</td></tr>
<tr class="separator:a690ce02a1e9246eeb69984cf9f0f345a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8f958b3764a1af2d66a68110d89e0d9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#ad8f958b3764a1af2d66a68110d89e0d9">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a8acefcc2b5eee9733f4b17d8037570fa">loadSetting</a>, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a36dc43291bb074e717870985d89b0a0a">SettingStatusAndValue</a>(const std::string &amp;key))</td></tr>
<tr class="separator:ad8f958b3764a1af2d66a68110d89e0d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34a75bd192747f6374ac92339ad79ca8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#a34a75bd192747f6374ac92339ad79ca8">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#aa3d3aab08b859a1370ff9f3c16af1d8e">deleteSetting</a>, bool(const std::string &amp;key))</td></tr>
<tr class="separator:a34a75bd192747f6374ac92339ad79ca8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a375233f4e374d75ee9e62d1b39692c14"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html#a375233f4e374d75ee9e62d1b39692c14">MOCK_METHOD2</a> (<a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#ac6149719d9b499ee217629b2184c3bae">updateSettingStatus</a>, bool(const std::string &amp;key, <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a> status))</td></tr>
<tr class="separator:a375233f4e374d75ee9e62d1b39692c14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html">alexaClientSDK::settings::storage::DeviceSettingStorageInterface</a></td></tr>
<tr class="memitem:a904c825be74d9cb4a71ae341ae07a8f1 inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a904c825be74d9cb4a71ae341ae07a8f1">~DeviceSettingStorageInterface</a> ()=default</td></tr>
<tr class="separator:a904c825be74d9cb4a71ae341ae07a8f1 inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf2969e60fa7ca4c79ee04e6d74a4887 inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#adf2969e60fa7ca4c79ee04e6d74a4887">open</a> ()=0</td></tr>
<tr class="separator:adf2969e60fa7ca4c79ee04e6d74a4887 inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1de8f87cc1ac1ef79505b1e6ad0fcfc8 inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a1de8f87cc1ac1ef79505b1e6ad0fcfc8">close</a> ()=0</td></tr>
<tr class="separator:a1de8f87cc1ac1ef79505b1e6ad0fcfc8 inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a776c5d59d7ee41ff1e7a4af2dee57e70 inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a776c5d59d7ee41ff1e7a4af2dee57e70">storeSetting</a> (const std::string &amp;key, const std::string &amp;value, <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a> status)=0</td></tr>
<tr class="separator:a776c5d59d7ee41ff1e7a4af2dee57e70 inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8acefcc2b5eee9733f4b17d8037570fa inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a36dc43291bb074e717870985d89b0a0a">SettingStatusAndValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a8acefcc2b5eee9733f4b17d8037570fa">loadSetting</a> (const std::string &amp;key)=0</td></tr>
<tr class="separator:a8acefcc2b5eee9733f4b17d8037570fa inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3d3aab08b859a1370ff9f3c16af1d8e inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#aa3d3aab08b859a1370ff9f3c16af1d8e">deleteSetting</a> (const std::string &amp;key)=0</td></tr>
<tr class="separator:aa3d3aab08b859a1370ff9f3c16af1d8e inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6149719d9b499ee217629b2184c3bae inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#ac6149719d9b499ee217629b2184c3bae">updateSettingStatus</a> (const std::string &amp;key, <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a> status)=0</td></tr>
<tr class="separator:ac6149719d9b499ee217629b2184c3bae inherit pub_methods_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html">alexaClientSDK::settings::storage::DeviceSettingStorageInterface</a></td></tr>
<tr class="memitem:a36dc43291bb074e717870985d89b0a0a inherit pub_types_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a36dc43291bb074e717870985d89b0a0a">SettingStatusAndValue</a> = std::pair&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a>, std::string &gt;</td></tr>
<tr class="separator:a36dc43291bb074e717870985d89b0a0a inherit pub_types_classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Mock class of <code><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html">DeviceSettingStorageInterface</a></code>. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a350946ef6ca1f9a9ecdf2122eeb50d5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a350946ef6ca1f9a9ecdf2122eeb50d5b">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::settings::storage::test::MockDeviceSettingStorage::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#adf2969e60fa7ca4c79ee04e6d74a4887">open</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a697b7eda4771a000bca5fe739163a833"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a697b7eda4771a000bca5fe739163a833">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::settings::storage::test::MockDeviceSettingStorage::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a1de8f87cc1ac1ef79505b1e6ad0fcfc8">close</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad8f958b3764a1af2d66a68110d89e0d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8f958b3764a1af2d66a68110d89e0d9">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::settings::storage::test::MockDeviceSettingStorage::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a8acefcc2b5eee9733f4b17d8037570fa">loadSetting</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a36dc43291bb074e717870985d89b0a0a">SettingStatusAndValue</a>(const std::string &amp;key)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a34a75bd192747f6374ac92339ad79ca8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34a75bd192747f6374ac92339ad79ca8">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::settings::storage::test::MockDeviceSettingStorage::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#aa3d3aab08b859a1370ff9f3c16af1d8e">deleteSetting</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(const std::string &amp;key)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a375233f4e374d75ee9e62d1b39692c14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a375233f4e374d75ee9e62d1b39692c14">&#9670;&nbsp;</a></span>MOCK_METHOD2()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::settings::storage::test::MockDeviceSettingStorage::MOCK_METHOD2 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#ac6149719d9b499ee217629b2184c3bae">updateSettingStatus</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(const std::string &amp;key, <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a> status)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a690ce02a1e9246eeb69984cf9f0f345a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a690ce02a1e9246eeb69984cf9f0f345a">&#9670;&nbsp;</a></span>MOCK_METHOD3()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::settings::storage::test::MockDeviceSettingStorage::MOCK_METHOD3 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a776c5d59d7ee41ff1e7a4af2dee57e70">storeSetting</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(const std::string &amp;key, const std::string &amp;value, <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a> status)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/Settings/test/Settings/<a class="el" href="_mock_device_setting_storage_8h_source.html">MockDeviceSettingStorage.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
